<%@ Page language="c#" Codebehind="slidealbum.aspx.cs" AutoEventWireup="false" Inherits="Discuz.Space.slidealbum" %>

<HTML>
	<HEAD>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="keywords" content="ASP.net,论坛,space,blog" />
	<meta name="description" content="Discuz!NT <% = config.Spacename%>" />
	<title>幻灯浏览 - Discuz!NT <% = config.Spacename%> - Powered by Discuz!NT</title>
		
	<script type="text/javascript">
<!-- // BannerAD

   var bannerAD=new Array();
   var bannerADlink=new Array();
   var adNum=0;
   var Result="<% = playfilestr.ToString()%>";
   var result=Result.split(",");
   
   for(var i=0;i<result.length-1;i++)
   {
       bannerAD[i]=result[i];
       bannerADlink[i]=result[i];
   }
 
   var preloadedimages=new Array();
   for (i=1;i<bannerAD.length;i++){
      preloadedimages[i]=new Image();
      preloadedimages[i].src=bannerAD[i];
   }

function setTransition(){
   if (document.all){
      bannerADrotator.filters.revealTrans.Transition=Math.floor(Math.random()*23);
      bannerADrotator.filters.revealTrans.apply();
   }
}

function playTransition(){
   if (document.all)
      bannerADrotator.filters.revealTrans.play()
}

function nextAd(){
   if(adNum<bannerAD.length-1)adNum++ ;
      else adNum=0;
   setTransition();
   document.images.bannerADrotator.src=bannerAD[adNum];
   playTransition();
   theTimer=setTimeout("nextAd()", 3000);
}

function jump2url(){
   jumpUrl=bannerADlink[adNum];
   jumpTarget='_blank';
   if (jumpUrl != ''){
      if (jumpTarget != '')window.open(jumpUrl,jumpTarget);
      else location.href=jumpUrl;
   }
}
function displayStatusMsg() { 
   status=bannerADlink[adNum];
   document.returnValue = true;
}

//-->

		</script>
	</HEAD>
	<body bgcolor="#000000">
		<div align="center" valign="middle">
			<a href="javascript:jump2url()" onmouseover="displayStatusMsg();return document.returnValue">
				<img border="0" name="bannerADrotator" style="FILTER: revealTrans(duration=2,transition=20); max-height: 550px;"
					 src="<% = playfilestr.ToString().Split(',')[0]%>"> </a>
		</div>
		<script type="text/javascript">nextAd();</script>
		
		<div align="center" valign="top">
		   <p>
	           <input type="submit" name="Submit" value="关闭窗口" onClick='window.close()'>
	       </p>
	    </div>

	</body>
</HTML>
0